## ros-kinetic-dbw-mkz-can 1.2.7

=== debian/changelog ===
ros-kinetic-dbw-mkz-can (1.2.7-1xenial) xenial; urgency=high

  * Update firmware versions
  * Report NAN for signals that are unavailable/faulted
  * Use fewer function calls to setup message sync
  * Add Lincoln Aviator to list of platforms
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 14 Feb 2020 05:00:00 -0000

ros-kinetic-dbw-mkz-can (1.2.6-1xenial) xenial; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 11 Nov 2019 05:00:00 -0000

ros-kinetic-dbw-mkz-can (1.2.5-1xenial) xenial; urgency=high

  * Add steering wheel buttons in Misc1Report
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Oct 2019 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.2.4-1xenial) xenial; urgency=high

  * Added argument to enable/disable CAN message filtering on DBW message range
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 Sep 2019 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.2.3-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Updated website maintenance link
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 13 Aug 2019 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.2.2-1xenial) xenial; urgency=high

  * Extend licensing to each module
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 24 Jul 2019 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.2.1-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Added support for non-hybrid brake report values
  * Added gear number to throttle info message
  * Added throttle and brake limp-home statuses
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 11 Jul 2019 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.2.0-1xenial) xenial; urgency=high

  * Added angle/torque steering command modes (not supported on all platforms)
  * Added warnings for unknown and unsupported command types
  * Added support for firmware change that uses SVEL resolution of 4 deg/s
  * Added FORD_C1 platform
  * Added script to estimate the number of wheel counts per killometer
  * Added odometer and battery voltage to fuel level report
  * Added casts to force single precision floating point math
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 03 May 2019 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.1.2-1xenial) xenial; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Mar 2019 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.1.1-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Refactored tcpNoDelay() for subscribers
  * Added missing tests for PlatformVersion.h
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 01 Mar 2019 05:00:00 -0000

ros-kinetic-dbw-mkz-can (1.1.0-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Removed all BOO control options and manually implemented auto BOO control for legacy firmware (brake lights)
  * Added BTYPE (brake type) bit
  * Added CMD_DECEL brake command type (only for non-hybrid platforms)
  * Replaced dbw_mkz_twist_controller with dataspeed_ulc_can in dbw.launch
  * Added throttlePercentFromPedal lookup table function and corresponding test
  * Use the ${catkin_EXPORTED_TARGETS} macro for target dependencies
  * Added DriverAssistReport message
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

ros-kinetic-dbw-mkz-can (1.0.17-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Updated list of platforms
  * Disengage on any fault for brake/throttle/steering (change AND to OR)
  * Added outside air temperature to Misc1Report
  * Latch firmware version on any change (previously only latched once)
  * Changed pedal_luts default from true to false (forward command type by default now)
  * Fixed handling of all the firmware/module requrements for brake command type CMD_TORQUE_RQ
  * Disregard overrides on unused subsystems using the TIMEOUT bit
  * Fixed typo in nodelets.xml of dbw_mkz_can
  * Finished unit tests of PlatformMap
  * Use sign of wheel speeds to set sign of vehicle speed, fixes issue #24
  * Set CXX_STANDARD to C++11 only when necessary
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 27 Oct 2018 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.0.16-1xenial) xenial; urgency=high

  * Force compiler to use C++11
  * Handle version message with a map/database of several platform/module combinations
  * Implemented firmware version requirements for forwarding pedal command type
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 29 Aug 2018 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.0.15-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 21 Aug 2018 04:00:00 -0000

ros-kinetic-dbw-mkz-can (1.0.14-1xenial) xenial; urgency=high

  * Updated firmware versions
  * Enabled code coverage testing when built as debug
  * Increased the steering command range to +-INT16_MAX, the specific range limit is applied by the firmware
  * Skip warning about brake and throttle commands when the reserved bit is set
  * Match CAN messages 0x060 to 0x07F even though some are unused
  * Capitalized the COUNT field to match code style
  * Added parameter for local/embedded pedal LUTs
  * Added option to forward higher level pedal commands (percent/torque) to the embedded modules
  * Added unit tests for exported header files
  * Extracted sonar color to a separate function
  * Added missing include
  * Contributors: Kevin Hallenbeck


